Bug 133394 - Missing AGPGART support in kernel
Summary: Missing AGPGART support in kernel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-23 18:10 UTC by Jacek Kujawa
Modified: 2015-01-04 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 05:05:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from commend lspci (1.53 KB, text/plain)
2004-09-24 05:52 UTC, Jacek Kujawa
no flags Details
Output from command lspci -n (663 bytes, text/plain)
2004-09-24 05:53 UTC, Jacek Kujawa
no flags Details

Description Jacek Kujawa 2004-09-23 18:10:00 UTC
Description of problem:
FC3t2 kernel does'nt support agpgart on new dell sx280 desktop. This
computer have i915G chipset inside, kernel recognize it but without
agp support.



How reproducible:
Always. Just boot FC3t2 on sx280 with i915G chipset and run dmesg |
grep agp

Comment 1 Arjan van de Ven 2004-09-23 19:57:01 UTC
can you get us lspci and lspci -n output ?
the 915 is supposed to be supported but maybe we're missing a pci id


Comment 2 Jacek Kujawa 2004-09-24 05:52:22 UTC
Created attachment 104246 [details]
Output from commend lspci

Comment 3 Jacek Kujawa 2004-09-24 05:53:49 UTC
Created attachment 104247 [details]
Output from command lspci -n

Comment 4 Carrie Knox 2004-10-05 17:06:23 UTC
Same failure occurs on Dell GX280 w/i915G

Comment 5 Dave Jones 2004-10-26 00:31:56 UTC
this should be fixed now, confirm ?


Comment 6 Carrie Knox 2004-10-26 13:38:55 UTC
Hello, What kernel should this be fixed in?  I've installed Fedora
Core 3 test 3 to a GX280 and it's running the default 2.6.8-1.541smp
kernel. Received this error "(EE) GARTInit: Unable to open
/dev/agpgart (No such file or directory)" reported to Xorg.0.log


Comment 7 Dave Jones 2004-10-29 21:44:41 UTC
the latest 2.6.9 kernels should definitly have it.


Comment 8 Carrie Knox 2004-11-03 15:07:08 UTC
I've installed 2.6.9-1.649smp on a DELL GX280 and do NOT receive the
"(EE) GARTInit: Unable to open /dev/agpgart (No such file or
directory)" error.  Glxinfo reports that direct rendering is running
:)  Thanks.

Comment 9 Jacek Kujawa 2004-11-05 15:52:56 UTC
Ok now works fine. Thanks.


Note You need to log in before you can comment on or make changes to this bug.